// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 60;
	objects = {
		FF0100000000000000000004 /* Generate Bazel Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Generate Bazel Dependencies";
			outputFileListPaths = (
				"$(INTERNAL_DIR)/generated.xcfilelist",
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"$BAZEL_INTEGRATION_DIR/generate_bazel_dependencies.sh\"\n";
			showEnvVarsInLog = 0;
		};
		FF0100000000000000000005 /* Create swift_debug_settings.py */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(BAZEL_INTEGRATION_DIR)/$(CONFIGURATION)-swift_debug_settings.py",
			);
			name = "Create swift_debug_settings.py";
			outputPaths = (
				"$(OBJROOT)/$(CONFIGURATION)/swift_debug_settings.py",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "perl -pe '\n  # Replace \"__BAZEL_XCODE_DEVELOPER_DIR__\" with \"$(DEVELOPER_DIR)\"\n  s/__BAZEL_XCODE_DEVELOPER_DIR__/\\$(DEVELOPER_DIR)/g;\n\n  # Replace \"__BAZEL_XCODE_SDKROOT__\" with \"$(SDKROOT)\"\n  s/__BAZEL_XCODE_SDKROOT__/\\$(SDKROOT)/g;\n\n  # Replace build settings with their values\n  s/\n    \\$             # Match a dollar sign\n    (\\()?          # Optionally match an opening parenthesis and capture it\n    ([a-zA-Z_]\\w*) # Match a variable name and capture it\n    (?(1)\\))       # If an opening parenthesis was captured, match a closing parenthesis\n  /$ENV{$2}/gx;    # Replace the entire matched string with the value of the corresponding environment variable\n\n' \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\n";
			showEnvVarsInLog = 0;
		};
		FF0100000000000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BAZEL_PACKAGE_BIN_DIR = rules_xcodeproj;
				CALCULATE_OUTPUT_GROUPS_SCRIPT = "$(BAZEL_INTEGRATION_DIR)/calculate_output_groups.py";
				CC = "";
				CXX = "";
				INDEXING_SUPPORTED_PLATFORMS__ = "$(INDEXING_SUPPORTED_PLATFORMS__NO)";
				INDEXING_SUPPORTED_PLATFORMS__NO = macosx;
				INDEXING_SUPPORTED_PLATFORMS__YES = macosx;
				INDEX_DISABLE_SCRIPT_EXECUTION = YES;
				LD = "";
				LDPLUSPLUS = "";
				LIBTOOL = libtool;
				SUPPORTED_PLATFORMS = "$(INDEXING_SUPPORTED_PLATFORMS__$(INDEX_ENABLE_BUILD_ARENA))";
				SUPPORTS_MACCATALYST = YES;
				SWIFT_EXEC = swiftc;
				TAPI_EXEC = "";
				TARGET_IDS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_generated/generator/m323/Sources/MiniProject/xcodeproj/xcodeproj_target_ids";
				TARGET_NAME = BazelDependencies;
			};
			name = Debug;
		};
		FF0100000000000000000002 /* Build configuration list for PBXAggregateTarget "BazelDependencies" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FF0100000000000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		FF0100000000000000000001 /* BazelDependencies */ = {
			isa = PBXAggregateTarget;
			buildConfigurationList = FF0100000000000000000002 /* Build configuration list for PBXAggregateTarget "BazelDependencies" */;
			buildPhases = (
				FF0100000000000000000004 /* Generate Bazel Dependencies */,
				FF0100000000000000000005 /* Create swift_debug_settings.py */,
			);
			dependencies = (
			);
			name = BazelDependencies;
			productName = BazelDependencies;
		};
		FF0000000000000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_ASSET_SYMBOLS = NO;
				BAZEL_CONFIG = rules_xcodeproj;
				BAZEL_EXTERNAL = "$(BAZEL_OUTPUT_BASE)/external";
				BAZEL_INTEGRATION_DIR = "$(INTERNAL_DIR)/bazel";
				BAZEL_LLDB_INIT = "$(PROJECT_FILE_PATH)/rules_xcodeproj/bazel.lldbinit";
				BAZEL_OUT = "$(PROJECT_DIR)/bazel-out";
				BAZEL_OUTPUT_BASE = "$(_BAZEL_OUTPUT_BASE:standardizepath)";
				BAZEL_WORKSPACE_ROOT = "$(SRCROOT)";
				BUILD_DIR = "$(SYMROOT)/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)";
				BUILD_MARKER_FILE = "$(OBJROOT)/build_marker";
				BUILD_WORKSPACE_DIRECTORY = "$(SRCROOT)";
				CC = "$(BAZEL_INTEGRATION_DIR)/clang.sh";
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_MODULES_AUTOLINK = NO;
				CODE_SIGNING_ALLOWED = NO;
				CODE_SIGN_STYLE = Manual;
				CONFIGURATION_BUILD_DIR = "$(BUILD_DIR)/$(BAZEL_PACKAGE_BIN_DIR)";
				COPY_PHASE_STRIP = NO;
				CXX = "$(BAZEL_INTEGRATION_DIR)/clang.sh";
				DEBUG_INFORMATION_FORMAT = dwarf;
				DSTROOT = "$(PROJECT_TEMP_DIR)";
				ENABLE_DEBUG_DYLIB = NO;
				ENABLE_DEFAULT_SEARCH_PATHS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				IMPORT_INDEX_BUILD_INDEXSTORES = YES;
				INDEXING_PROJECT_DIR__ = "$(INDEXING_PROJECT_DIR__NO)";
				INDEXING_PROJECT_DIR__NO = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
				INDEXING_PROJECT_DIR__YES = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/indexbuild_output_base/execroot/_main;
				INDEX_DATA_STORE_DIR = "$(INDEX_DATA_STORE_DIR)";
				INDEX_FORCE_SCRIPT_EXECUTION = YES;
				INDEX_IMPORT = "$(BAZEL_OUT)/darwin_arm64-opt-exec/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_index_import/index-import";
				INSTALL_PATH = "$(BAZEL_PACKAGE_BIN_DIR)/$(TARGET_NAME)/bin";
				INTERNAL_DIR = "$(PROJECT_FILE_PATH)/rules_xcodeproj";
				LD = "$(BAZEL_INTEGRATION_DIR)/ld";
				LDPLUSPLUS = "$(BAZEL_INTEGRATION_DIR)/ld";
				LD_DYLIB_INSTALL_NAME = "";
				LD_OBJC_ABI_VERSION = "";
				LD_RUNPATH_SEARCH_PATHS = "";
				LEGACY_INDEX_IMPORT = "$(BAZEL_OUT)/darwin_arm64-opt-exec/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_legacy_index_import/index-import";
				LIBTOOL = "$(BAZEL_INTEGRATION_DIR)/libtool";
				ONLY_ACTIVE_ARCH = YES;
				PROJECT_DIR = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
				RESOLVED_REPOSITORIES = "\"./external/+http_archive+swifttui\" \"/Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/cache/repos/v1/contents/232e8b46dfa0c534358dfb71034ddfd32c5c6d6afb7bb7c3476b660b0b7d70e2/677a2cff-5ccc-47a7-98e4-ddce6cf76076\" \".\" \"/Users/cediackermann/Projects\"";
				RULES_XCODEPROJ_BUILD_MODE = bazel;
				SRCROOT = /Users/cediackermann/Projects;
				SUPPORTS_MACCATALYST = NO;
				SWIFT_EXEC = "$(BAZEL_INTEGRATION_DIR)/swiftc";
				SWIFT_OBJC_INTERFACE_HEADER_NAME = "";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_USE_INTEGRATED_DRIVER = NO;
				SWIFT_VERSION = 5.0;
				TAPI_EXEC = /usr/bin/true;
				TARGET_TEMP_DIR = "$(PROJECT_TEMP_DIR)/$(BAZEL_PACKAGE_BIN_DIR)/$(COMPILE_TARGET_NAME)";
				USE_HEADERMAP = NO;
				VALIDATE_WORKSPACE = NO;
				_BAZEL_OUTPUT_BASE = "$(PROJECT_DIR)/../..";
			};
			name = Debug;
		};
		FF0000000000000000000002 /* Build configuration list for PBXProject */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FF0000000000000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		FF0000000000000000000001 /* Project object */ = {
			isa = PBXProject;
			buildConfigurationList = FF0000000000000000000002 /* Build configuration list for PBXProject */;
			compatibilityVersion = "Xcode 15.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			mainGroup = FF0000000000000000000003 /* /Users/cediackermann/Projects */;
			productRefGroup = FF0000000000000000000004 /* Products */;
			projectDirPath = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
			projectRoot = "";
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 9999;
				LastUpgradeCheck = 9999;
				TargetAttributes = {
					FF0100000000000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					00001E1FC9CF000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					010021D7AEE9000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0300FAB81B6F000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					02004EB553A7000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
				};
			};
			knownRegions = (
				en,
				Base,
			);
			targets = (
				FF0100000000000000000001 /* BazelDependencies */,
				00001E1FC9CF000000000001 /* RunnerCore */,
				010021D7AEE9000000000001 /* RunnerCoreTests */,
				0300FAB81B6F000000000001 /* StadtRundlauf */,
				02004EB553A7000000000001 /* SwiftTUI */,
			);
		};
		00001E1FC9CF000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		00001E1FC9CF000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				00FF1E5231001920CAE02B34 /* RunnerCore.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		00001E1FC9CF000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323/Sources/MiniProject:RunnerCore";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/libRunnerCore.a";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = libRunnerCore.a;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject";
				BAZEL_TARGET_ID = "@@//m323/Sources/MiniProject:RunnerCore darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = RunnerCore;
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/RunnerCore_objs/RunnerCore.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -static -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = RunnerCore;
				PRODUCT_NAME = RunnerCore;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = RunnerCore;
			};
			name = Debug;
		};
		00001E1FC9CF000000000002 /* Build configuration list for PBXNativeTarget "RunnerCore" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				00001E1FC9CF000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		00001E1FC9CF0000000000FF /* libRunnerCore.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libRunnerCore.a; sourceTree = BUILT_PRODUCTS_DIR; };
		00001E1FC9CF000000000001 /* RunnerCore */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 00001E1FC9CF000000000002 /* Build configuration list for PBXNativeTarget "RunnerCore" */;
			buildPhases = (
				00001E1FC9CF000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				00001E1FC9CF000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				00021E1FC9CFFF0001000000 /* PBXTargetDependency */,
			);
			name = RunnerCore;
			productName = RunnerCore;
			productType = "com.apple.product-type.library.static";
		};
		010021D7AEE9000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(TARGET_BUILD_DIR)/$(INFOPLIST_PATH)",
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"$BAZEL_INTEGRATION_DIR/xctest.exclude.rsynclist\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		010021D7AEE9000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		010021D7AEE9000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				01FF0A9B8F2DD54D7DC622F9 /* RunnerCoreTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		010021D7AEE9000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323/Sources/MiniProject:RunnerCoreTests";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/RunnerCoreTests.xctest";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = RunnerCoreTests.xctest;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject";
				BAZEL_TARGET_ID = "@@//m323/Sources/MiniProject:RunnerCoreTests darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = RunnerCoreTests;
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/RunnerCoreTests.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/RunnerCoreTests_objs/RunnerCoreTests.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -F$(DEVELOPER_DIR)/Platforms/MacOSX.platform/Developer/Library/Frameworks -I$(DEVELOPER_DIR)/Platforms/MacOSX.platform/Developer/usr/lib -file-compilation-dir . -I$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject -plugin-path __BAZEL_SWIFT_TOOLCHAIN_PATH__/usr/lib/swift/host/plugins/testing -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -enable-testing -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_Sources_MiniProject_RunnerCoreTests;
				PRODUCT_NAME = RunnerCoreTests;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = RunnerCoreTests;
			};
			name = Debug;
		};
		010021D7AEE9000000000002 /* Build configuration list for PBXNativeTarget "RunnerCoreTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				010021D7AEE9000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		010021D7AEE90000000000FF /* RunnerCoreTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = RunnerCoreTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		010021D7AEE9000000000001 /* RunnerCoreTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 010021D7AEE9000000000002 /* Build configuration list for PBXNativeTarget "RunnerCoreTests" */;
			buildPhases = (
				010021D7AEE9000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				010021D7AEE9000000000005 /* Create Link Dependencies */,
				010021D7AEE9000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				010221D7AEE9FF0001000000 /* PBXTargetDependency */,
			);
			name = RunnerCoreTests;
			productName = RunnerCoreTests;
			productReference = 010021D7AEE90000000000FF /* RunnerCoreTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		02004EB553A7000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		02004EB553A7000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				02FFC950564A0A8E85DE76AA /* Control.swift in Sources */,
				02FFC927145F56EA91D8C9F9 /* Window.swift in Sources */,
				02FF769EE4F24E03387EE327 /* Control+logTree.swift in Sources */,
				02FF15120A8D075045D0C31A /* Node+logTree.swift in Sources */,
				02FF02DFBDB02EF7CA6730AD /* log.swift in Sources */,
				02FF5E51E93E85114A81C2ED /* AttributeScopes+SwiftTUIAttributes.swift in Sources */,
				02FF9443A13020538EDF8602 /* Cell.swift in Sources */,
				02FF29699AA621079339AEA2 /* CellAttributes.swift in Sources */,
				02FF28471707BD8316B43410 /* Color.swift in Sources */,
				02FFC77584E23F3984779346 /* Edges.swift in Sources */,
				02FF38B4059491987FAEE965 /* Extended.swift in Sources */,
				02FFDC2481C8A9ED7403DE2C /* Position.swift in Sources */,
				02FF69CEE00F16C55B995EA3 /* Rect.swift in Sources */,
				02FF40BBB288C62260CA76C3 /* EscapeSequence.swift in Sources */,
				02FF79AAF9921EE12F892356 /* Layer.swift in Sources */,
				02FF3A4B43C80D488C7CE32B /* LayerDrawing.swift in Sources */,
				02FFF2E0DDE16A7D1010746B /* Renderer.swift in Sources */,
				02FFDFD37AE54401B53A5ABB /* Size.swift in Sources */,
				02FFB7DC9A3293ECE8393A58 /* Binding.swift in Sources */,
				02FF4A4ABC004B5FF5637D01 /* Environment.swift in Sources */,
				02FF3B45C9889ED370565846 /* ObservedObject.swift in Sources */,
				02FF2C946200B58812B667DF /* State.swift in Sources */,
				02FFEE3805EB06CFC8FC03C7 /* View+Environment.swift in Sources */,
				02FF76C198B892A242BACBA0 /* View+ObservableObject.swift in Sources */,
				02FF33C3B2D6D0317F653F20 /* View+State.swift in Sources */,
				02FF49436AF208504407BD30 /* ASCII.swift in Sources */,
				02FFF11402FCE9EA7A96512F /* Application.swift in Sources */,
				02FF1F9002855C61CF31D72C /* ArrowKeyParser.swift in Sources */,
				02FF1BC72723E836422B53B6 /* SwiftTUI.swift in Sources */,
				02FF6E0FF588278BC1C0E96E /* ComposedView.swift in Sources */,
				02FFC7BA845C5AB46EEDD9EC /* GenericView.swift in Sources */,
				02FF24113C0B99C3349F0761 /* LayoutRootView.swift in Sources */,
				02FF8259DABBDE007D9CA96C /* ModifierView.swift in Sources */,
				02FFA88328D15EA01534CBB6 /* Node.swift in Sources */,
				02FFB9C9BAB730C1E9019D6D /* PrimitiveView.swift in Sources */,
				02FF0DE18E6C3150EE967582 /* View.swift in Sources */,
				02FF0428EFF8BC4844DFEEF5 /* Weak.swift in Sources */,
				02FFEE5BFF62FA2C9CE8512D /* WeakSet.swift in Sources */,
				02FF7FEDD08A068D8D066266 /* Button.swift in Sources */,
				02FF89E95841426E895D81E5 /* Color+View.swift in Sources */,
				02FF65FFCD86BF306BEC3471 /* Divider.swift in Sources */,
				02FFAC2EE02A2748301EB053 /* GeometryReader.swift in Sources */,
				02FFF57F463FD5B6941F2333 /* ScrollView.swift in Sources */,
				02FFCEF1BD7F380C94FAADB0 /* Spacer.swift in Sources */,
				02FF23D86E413506C6F7DB25 /* Text.swift in Sources */,
				02FF45B8E101B2B215011288 /* TextField.swift in Sources */,
				02FFE75BB68A3EF17D60E39C /* EmptyView.swift in Sources */,
				02FFAE6A70F1E1714BD84C61 /* ForEach.swift in Sources */,
				02FFC6099114A3970F594B5A /* Group.swift in Sources */,
				02FF86BDBAB1FB01FC69713C /* Background.swift in Sources */,
				02FF0E0C217BCA513AA25E42 /* Bold.swift in Sources */,
				02FF1F7CE9DEE5E71B7FD162 /* Border.swift in Sources */,
				02FF17E30E5E434F1A61B03E /* FixedFrame.swift in Sources */,
				02FF2570965BBE7BAABB7C8F /* FlexibleFrame.swift in Sources */,
				02FF2E046DCFA53B787E8B14 /* ForegroundColor.swift in Sources */,
				02FF159F585DA1FE891AC212 /* Italic.swift in Sources */,
				02FFFD7F86C6332ACFE8E09A /* OnAppear.swift in Sources */,
				02FF4600097791854D5254C8 /* Padding.swift in Sources */,
				02FF7EBE80C2D2F703193AE2 /* SetEnvironment.swift in Sources */,
				02FF187F7C193AE2DC5C0569 /* Strikethrough.swift in Sources */,
				02FF377E17D813E1DF17B011 /* Underline.swift in Sources */,
				02FFD84E8471C8E5126FC9E0 /* Optional+View.swift in Sources */,
				02FF8C1E18A733FD0EE6B012 /* Alignment.swift in Sources */,
				02FF0AA743B1E02D724F5F8C /* Axis.swift in Sources */,
				02FF3907B1397417683BA7FC /* HStack.swift in Sources */,
				02FF814531DF6F008282E112 /* VStack.swift in Sources */,
				02FF5528E4594080E339FE5E /* ZStack.swift in Sources */,
				02FFB8584ED0017DB11DE731 /* TupleView.swift in Sources */,
				02FFB51099CAC91D5F78F022 /* ViewBuilder.swift in Sources */,
				02FF8FA09DB2BD499064AC64 /* _ConditionalView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		02004EB553A7000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@+http_archive+swifttui//:SwiftTUI";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/external/+http_archive+swifttui/libSwiftTUI.a";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = libSwiftTUI.a;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/external/+http_archive+swifttui";
				BAZEL_TARGET_ID = "@@+http_archive+swifttui//:SwiftTUI darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = SwiftTUI;
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/external/+http_archive+swifttui/SwiftTUI_objs/Sources/SwiftTUI/Controls/Control.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -static -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = SwiftTUI;
				PRODUCT_NAME = SwiftTUI;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = SwiftTUI;
			};
			name = Debug;
		};
		02004EB553A7000000000002 /* Build configuration list for PBXNativeTarget "SwiftTUI" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				02004EB553A7000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		02004EB553A70000000000FF /* libSwiftTUI.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libSwiftTUI.a; sourceTree = BUILT_PRODUCTS_DIR; };
		02004EB553A7000000000001 /* SwiftTUI */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 02004EB553A7000000000002 /* Build configuration list for PBXNativeTarget "SwiftTUI" */;
			buildPhases = (
				02004EB553A7000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				02004EB553A7000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				02024EB553A7FF0001000000 /* PBXTargetDependency */,
			);
			name = SwiftTUI;
			productName = SwiftTUI;
			productType = "com.apple.product-type.library.static";
		};
		0300FAB81B6F000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0300FAB81B6F000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0300FAB81B6F000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				03FF556AC73989CC680307A3 /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0300FAB81B6F000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323/Sources/MiniProject:StadtRundlauf";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/StadtRundlauf_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = StadtRundlauf_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject";
				BAZEL_TARGET_ID = "@@//m323/Sources/MiniProject:StadtRundlauf darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = StadtRundlauf;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/StadtRundlauf.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject/StadtRundlauf_objs/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -I$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Sources/MiniProject -I$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/external/+http_archive+swifttui -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_Sources_MiniProject_StadtRundlauf_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_Sources_MiniProject_StadtRundlauf;
				PRODUCT_NAME = StadtRundlauf;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = StadtRundlauf;
			};
			name = Debug;
		};
		0300FAB81B6F000000000002 /* Build configuration list for PBXNativeTarget "StadtRundlauf" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0300FAB81B6F000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0300FAB81B6F0000000000FF /* StadtRundlauf */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = StadtRundlauf; sourceTree = BUILT_PRODUCTS_DIR; };
		0300FAB81B6F000000000001 /* StadtRundlauf */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0300FAB81B6F000000000002 /* Build configuration list for PBXNativeTarget "StadtRundlauf" */;
			buildPhases = (
				0300FAB81B6F000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0300FAB81B6F000000000005 /* Create Link Dependencies */,
				0300FAB81B6F000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0302FAB81B6FFF0001000000 /* PBXTargetDependency */,
			);
			name = StadtRundlauf;
			productName = StadtRundlauf;
			productReference = 0300FAB81B6F0000000000FF /* StadtRundlauf */;
			productType = "com.apple.product-type.tool";
		};
		00011E1FC9CFFF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		00021E1FC9CFFF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 00011E1FC9CFFF0001000000 /* PBXContainerItemProxy */;
		};
		010121D7AEE9FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		010221D7AEE9FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 010121D7AEE9FF0001000000 /* PBXContainerItemProxy */;
		};
		0301FAB81B6FFF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0302FAB81B6FFF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0301FAB81B6FFF0001000000 /* PBXContainerItemProxy */;
		};
		02014EB553A7FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		02024EB553A7FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 02014EB553A7FF0001000000 /* PBXContainerItemProxy */;
		};
		FF0000000000000000000003 /* /Users/cediackermann/Projects */ = {
			isa = PBXGroup;
			children = (
				FE0B6A8C2E81F8461958AA13 /* m323 */,
				FF0000000000000000000006 /* Bazel External Repositories */,
				FF0000000000000000000004 /* Products */,
				FF0000000000000000000005 /* Frameworks */,
			);
			path = /Users/cediackermann/Projects;
			sourceTree = "<absolute>";
		};
		FE0256EB086C79D047D00FE0 /* ObservedObject.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ObservedObject.swift; sourceTree = "<group>"; };
		FE04B709B3969540B2E9FBF6 /* GeometryReader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GeometryReader.swift; sourceTree = "<group>"; };
		FE06B75F1D71891F3D634B95 /* log.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = log.swift; sourceTree = "<group>"; };
		FE0833F786CD2A2EF231EBE5 /* Strikethrough.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Strikethrough.swift; sourceTree = "<group>"; };
		FE0B6A8C2E81F8461958AA13 /* m323 */ = {
			isa = PBXGroup;
			children = (
				FE33D36F2BFBBE20D6696EBB /* Sources */,
			);
			path = m323;
			sourceTree = "<group>";
		};
		FE0FE8D7E60C3D79B2E83B9C /* ViewBuilder.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewBuilder.swift; sourceTree = "<group>"; };
		FE11C25A4188C21B80521AF7 /* RunnerCore.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RunnerCore.swift; sourceTree = "<group>"; };
		FE1459FA19AD7E743575B55F /* Sources */ = {
			isa = PBXGroup;
			children = (
				FEF05B9E4558F03213B7E607 /* SwiftTUI */,
			);
			path = Sources;
			sourceTree = "<group>";
		};
		FE1D3E792C9AB2D0FEA7D0A2 /* ModifierView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ModifierView.swift; sourceTree = "<group>"; };
		FE1D5FAB1C88913D40911281 /* HStack.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HStack.swift; sourceTree = "<group>"; };
		FE230A21685D7895A8803FF1 /* ScrollView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScrollView.swift; sourceTree = "<group>"; };
		FE235631F812A101E01AEAA5 /* Debug */ = {
			isa = PBXGroup;
			children = (
				FE9EBAED75B41BFE5B66EF7B /* Control+logTree.swift */,
				FE06B75F1D71891F3D634B95 /* log.swift */,
				FE5C2DBA399E0612A054BE2E /* Node+logTree.swift */,
			);
			path = Debug;
			sourceTree = "<group>";
		};
		FE24A664919669AC0926796A /* Binding.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Binding.swift; sourceTree = "<group>"; };
		FE25780E4212F6D462FB9149 /* SwiftTUI.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SwiftTUI.swift; sourceTree = "<group>"; };
		FE28ED61A3E441791C892614 /* View+State.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "View+State.swift"; sourceTree = "<group>"; };
		FE2F2B1FD47D4F1B77B16984 /* Control.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Control.swift; sourceTree = "<group>"; };
		FE3348E7805B88D20C67D624 /* Underline.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Underline.swift; sourceTree = "<group>"; };
		FE335FCA49CCC6A3C60B53B5 /* Window.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Window.swift; sourceTree = "<group>"; };
		FE33D36F2BFBBE20D6696EBB /* Sources */ = {
			isa = PBXGroup;
			children = (
				FE8CD80AE6A7E8A5A94B63EF /* MiniProject */,
			);
			path = Sources;
			sourceTree = "<group>";
		};
		FE359F43A055950CD2C4031A /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FE36B7FB4825960CFD1EE9A0 /* ComposedView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ComposedView.swift; sourceTree = "<group>"; };
		FE39E81DC7BE1BDBF278368B /* SetEnvironment.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SetEnvironment.swift; sourceTree = "<group>"; };
		FE3DF55F9C9C4BC3D6031FE4 /* FixedFrame.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FixedFrame.swift; sourceTree = "<group>"; };
		FE406681BF50D14C2B003EFA /* Padding.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Padding.swift; sourceTree = "<group>"; };
		FE47FE759AEAC5FE3B48E859 /* Rendering */ = {
			isa = PBXGroup;
			children = (
				FE9FA50882B24965E3924A03 /* EscapeSequence.swift */,
				FE59CDA3C4C23D3DCD619C36 /* Layer.swift */,
				FE6C1FBF148386BCCB815946 /* LayerDrawing.swift */,
				FEB6D73210F2E5F83E8C6A60 /* Renderer.swift */,
			);
			path = Rendering;
			sourceTree = "<group>";
		};
		FE48F0B66A1921E14F62F077 /* Application.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Application.swift; sourceTree = "<group>"; };
		FE4D287FEC68A8A72B76FA83 /* ViewGraph */ = {
			isa = PBXGroup;
			children = (
				FE36B7FB4825960CFD1EE9A0 /* ComposedView.swift */,
				FEAF08A52EEFA7CD8D7ACB91 /* GenericView.swift */,
				FEEC8BA2E9A611FB242868D5 /* LayoutRootView.swift */,
				FE1D3E792C9AB2D0FEA7D0A2 /* ModifierView.swift */,
				FE955B7713691568C9113C22 /* Node.swift */,
				FECDEC291E284E1243C69040 /* PrimitiveView.swift */,
				FE97FC495C03EB6918A8AA5B /* View.swift */,
				FE9FB11AE896BAE161926281 /* Weak.swift */,
				FED14FCCEFFF6DEE187B47AF /* WeakSet.swift */,
			);
			path = ViewGraph;
			sourceTree = "<group>";
		};
		FE4EC1526AFF23247D74D7E5 /* data */ = {
			isa = PBXGroup;
			children = (
				FE720DFDDF5040A4048EB874 /* results.txt */,
				FEBCFF654996A2FFA2F886E2 /* startList.txt */,
			);
			path = data;
			sourceTree = "<group>";
		};
		FE50953DAFB8366A9E3C8D82 /* Views */ = {
			isa = PBXGroup;
			children = (
				FE83C49A0278488FE260EB00 /* Controls */,
				FEADBAABCB31677B191DFF6D /* Modifiers */,
				FEAF3ED835721EE1EE7E90FD /* Stacks */,
				FE7CE4A8C0BEDBFEB07D7052 /* _ConditionalView.swift */,
				FE7E35A8870F6ECDB585186F /* EmptyView.swift */,
				FE645B3378625EF192815274 /* ForEach.swift */,
				FEF83A958022D95AB0510862 /* Group.swift */,
				FE7B02AD81BAA59E17ABF025 /* Optional+View.swift */,
				FE6E5D2B3020404DBED9B8FA /* TupleView.swift */,
				FE0FE8D7E60C3D79B2E83B9C /* ViewBuilder.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		FE565F9C1E240AF078068CC4 /* Bold.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Bold.swift; sourceTree = "<group>"; };
		FE56C3242B58455553442D0C /* Controls */ = {
			isa = PBXGroup;
			children = (
				FE2F2B1FD47D4F1B77B16984 /* Control.swift */,
				FE335FCA49CCC6A3C60B53B5 /* Window.swift */,
			);
			path = Controls;
			sourceTree = "<group>";
		};
		FE56EC4E9A199BCE5A4F11A9 /* Button.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Button.swift; sourceTree = "<group>"; };
		FE579D8399C4C1DCC8EED430 /* Italic.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Italic.swift; sourceTree = "<group>"; };
		FE59CDA3C4C23D3DCD619C36 /* Layer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Layer.swift; sourceTree = "<group>"; };
		FE5C2DBA399E0612A054BE2E /* Node+logTree.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Node+logTree.swift"; sourceTree = "<group>"; };
		FE645B3378625EF192815274 /* ForEach.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ForEach.swift; sourceTree = "<group>"; };
		FE65E264CB4E0B80A1AFFB0C /* RunLoop */ = {
			isa = PBXGroup;
			children = (
				FE48F0B66A1921E14F62F077 /* Application.swift */,
				FEA362915EE372841E810442 /* ArrowKeyParser.swift */,
				FE97AC026E7A91BD7F6FADDF /* ASCII.swift */,
			);
			path = RunLoop;
			sourceTree = "<group>";
		};
		FE669B47061526964E8012FF /* Text.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Text.swift; sourceTree = "<group>"; };
		FE6BA5124AB5DCB7C1C69060 /* OnAppear.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OnAppear.swift; sourceTree = "<group>"; };
		FE6C1FBF148386BCCB815946 /* LayerDrawing.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayerDrawing.swift; sourceTree = "<group>"; };
		FE6CB92FA70E5A7EE190EB1E /* FlexibleFrame.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FlexibleFrame.swift; sourceTree = "<group>"; };
		FE6E5D2B3020404DBED9B8FA /* TupleView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TupleView.swift; sourceTree = "<group>"; };
		FE720DFDDF5040A4048EB874 /* results.txt */ = {isa = PBXFileReference; lastKnownFileType = text; path = results.txt; sourceTree = "<group>"; };
		FE78B3B9FF062FE5A86D10CB /* Alignment.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Alignment.swift; sourceTree = "<group>"; };
		FE7ADB44C83312F759326BC8 /* Rect.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Rect.swift; sourceTree = "<group>"; };
		FE7B02AD81BAA59E17ABF025 /* Optional+View.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Optional+View.swift"; sourceTree = "<group>"; };
		FE7CE4A8C0BEDBFEB07D7052 /* _ConditionalView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = _ConditionalView.swift; sourceTree = "<group>"; };
		FE7E35A8870F6ECDB585186F /* EmptyView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EmptyView.swift; sourceTree = "<group>"; };
		FE7E6DAF3716429D85DF1CB4 /* AttributeScopes+SwiftTUIAttributes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "AttributeScopes+SwiftTUIAttributes.swift"; sourceTree = "<group>"; };
		FE83C49A0278488FE260EB00 /* Controls */ = {
			isa = PBXGroup;
			children = (
				FE56EC4E9A199BCE5A4F11A9 /* Button.swift */,
				FE87BA54DCED0BC71F4DDCBC /* Color+View.swift */,
				FE8F75BC675A850D30B1DFF7 /* Divider.swift */,
				FE04B709B3969540B2E9FBF6 /* GeometryReader.swift */,
				FE230A21685D7895A8803FF1 /* ScrollView.swift */,
				FEFFB379E67528ADA003A9FF /* Spacer.swift */,
				FE669B47061526964E8012FF /* Text.swift */,
				FEFEB64A0F9ECD99B9D903B6 /* TextField.swift */,
			);
			path = Controls;
			sourceTree = "<group>";
		};
		FE866088E045EAB828EAE645 /* Size.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Size.swift; sourceTree = "<group>"; };
		FE87BA54DCED0BC71F4DDCBC /* Color+View.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Color+View.swift"; sourceTree = "<group>"; };
		FE88BA287622CAA44EEFBB05 /* Cell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Cell.swift; sourceTree = "<group>"; };
		FE8A46FC66E9580571ECE3D7 /* VStack.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VStack.swift; sourceTree = "<group>"; };
		FE8CD80AE6A7E8A5A94B63EF /* MiniProject */ = {
			isa = PBXGroup;
			children = (
				FE4EC1526AFF23247D74D7E5 /* data */,
				FE91213EB706159A32807EEC /* BUILD.bazel */,
				FE359F43A055950CD2C4031A /* main.swift */,
				FE11C25A4188C21B80521AF7 /* RunnerCore.swift */,
				FEE8E2B18F627E26CA07D99A /* RunnerCoreTests.swift */,
			);
			path = MiniProject;
			sourceTree = "<group>";
		};
		FE8F75BC675A850D30B1DFF7 /* Divider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Divider.swift; sourceTree = "<group>"; };
		FE91213EB706159A32807EEC /* BUILD.bazel */ = {isa = PBXFileReference; explicitFileType = text.script.python; path = BUILD.bazel; sourceTree = "<group>"; };
		FE91AD15BF6BBB472852849F /* Position.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Position.swift; sourceTree = "<group>"; };
		FE94FB30E7CAB9941E04149F /* ForegroundColor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ForegroundColor.swift; sourceTree = "<group>"; };
		FE955B7713691568C9113C22 /* Node.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Node.swift; sourceTree = "<group>"; };
		FE97AC026E7A91BD7F6FADDF /* ASCII.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ASCII.swift; sourceTree = "<group>"; };
		FE97FC495C03EB6918A8AA5B /* View.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = View.swift; sourceTree = "<group>"; };
		FE981D88F74E1B0E237FF17A /* Extended.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Extended.swift; sourceTree = "<group>"; };
		FE9B6E8AD18CF510CC2C3174 /* Color.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Color.swift; sourceTree = "<group>"; };
		FE9EBAED75B41BFE5B66EF7B /* Control+logTree.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Control+logTree.swift"; sourceTree = "<group>"; };
		FE9FA50882B24965E3924A03 /* EscapeSequence.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EscapeSequence.swift; sourceTree = "<group>"; };
		FE9FB11AE896BAE161926281 /* Weak.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Weak.swift; sourceTree = "<group>"; };
		FEA154E5D35B7BAA846E52FB /* Drawing */ = {
			isa = PBXGroup;
			children = (
				FE47FE759AEAC5FE3B48E859 /* Rendering */,
				FE7E6DAF3716429D85DF1CB4 /* AttributeScopes+SwiftTUIAttributes.swift */,
				FE88BA287622CAA44EEFBB05 /* Cell.swift */,
				FEB71BE6A8588DC0A820ED8E /* CellAttributes.swift */,
				FE9B6E8AD18CF510CC2C3174 /* Color.swift */,
				FED4C93198EC989AFB18C04D /* Edges.swift */,
				FE981D88F74E1B0E237FF17A /* Extended.swift */,
				FE91AD15BF6BBB472852849F /* Position.swift */,
				FE7ADB44C83312F759326BC8 /* Rect.swift */,
				FE866088E045EAB828EAE645 /* Size.swift */,
			);
			path = Drawing;
			sourceTree = "<group>";
		};
		FEA171F995F100B4E80C25E3 /* View+ObservableObject.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "View+ObservableObject.swift"; sourceTree = "<group>"; };
		FEA1CF9F8D2CA0B5F0D761B1 /* /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/cache/repos/v1/contents/232e8b46dfa0c534358dfb71034ddfd32c5c6d6afb7bb7c3476b660b0b7d70e2/677a2cff-5ccc-47a7-98e4-ddce6cf76076 */ = {
			isa = PBXGroup;
			children = (
				FE1459FA19AD7E743575B55F /* Sources */,
			);
			name = "+http_archive+swifttui";
			path = "/Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/cache/repos/v1/contents/232e8b46dfa0c534358dfb71034ddfd32c5c6d6afb7bb7c3476b660b0b7d70e2/677a2cff-5ccc-47a7-98e4-ddce6cf76076";
			sourceTree = "<absolute>";
		};
		FEA362915EE372841E810442 /* ArrowKeyParser.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ArrowKeyParser.swift; sourceTree = "<group>"; };
		FEADBAABCB31677B191DFF6D /* Modifiers */ = {
			isa = PBXGroup;
			children = (
				FEF5075DC088803278713767 /* Background.swift */,
				FE565F9C1E240AF078068CC4 /* Bold.swift */,
				FEB681E54A115EA32E615BFB /* Border.swift */,
				FE3DF55F9C9C4BC3D6031FE4 /* FixedFrame.swift */,
				FE6CB92FA70E5A7EE190EB1E /* FlexibleFrame.swift */,
				FE94FB30E7CAB9941E04149F /* ForegroundColor.swift */,
				FE579D8399C4C1DCC8EED430 /* Italic.swift */,
				FE6BA5124AB5DCB7C1C69060 /* OnAppear.swift */,
				FE406681BF50D14C2B003EFA /* Padding.swift */,
				FE39E81DC7BE1BDBF278368B /* SetEnvironment.swift */,
				FE0833F786CD2A2EF231EBE5 /* Strikethrough.swift */,
				FE3348E7805B88D20C67D624 /* Underline.swift */,
			);
			path = Modifiers;
			sourceTree = "<group>";
		};
		FEAF08A52EEFA7CD8D7ACB91 /* GenericView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GenericView.swift; sourceTree = "<group>"; };
		FEAF3ED835721EE1EE7E90FD /* Stacks */ = {
			isa = PBXGroup;
			children = (
				FE78B3B9FF062FE5A86D10CB /* Alignment.swift */,
				FED12C36473686FE93CB971C /* Axis.swift */,
				FE1D5FAB1C88913D40911281 /* HStack.swift */,
				FE8A46FC66E9580571ECE3D7 /* VStack.swift */,
				FECF34CCEB582E63F618344C /* ZStack.swift */,
			);
			path = Stacks;
			sourceTree = "<group>";
		};
		FEB681E54A115EA32E615BFB /* Border.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Border.swift; sourceTree = "<group>"; };
		FEB6D73210F2E5F83E8C6A60 /* Renderer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Renderer.swift; sourceTree = "<group>"; };
		FEB71BE6A8588DC0A820ED8E /* CellAttributes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CellAttributes.swift; sourceTree = "<group>"; };
		FEBCFF654996A2FFA2F886E2 /* startList.txt */ = {isa = PBXFileReference; lastKnownFileType = text; path = startList.txt; sourceTree = "<group>"; };
		FEC2266FC2A8266E62E079AC /* PropertyWrappers */ = {
			isa = PBXGroup;
			children = (
				FE24A664919669AC0926796A /* Binding.swift */,
				FEC35B1294C0C3A5487073C1 /* Environment.swift */,
				FE0256EB086C79D047D00FE0 /* ObservedObject.swift */,
				FEEB3ECD861EEC2801B03652 /* State.swift */,
				FEDEA3D2E3B24689EE2C2D07 /* View+Environment.swift */,
				FEA171F995F100B4E80C25E3 /* View+ObservableObject.swift */,
				FE28ED61A3E441791C892614 /* View+State.swift */,
			);
			path = PropertyWrappers;
			sourceTree = "<group>";
		};
		FEC35B1294C0C3A5487073C1 /* Environment.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Environment.swift; sourceTree = "<group>"; };
		FECDEC291E284E1243C69040 /* PrimitiveView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PrimitiveView.swift; sourceTree = "<group>"; };
		FECF34CCEB582E63F618344C /* ZStack.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ZStack.swift; sourceTree = "<group>"; };
		FED12C36473686FE93CB971C /* Axis.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Axis.swift; sourceTree = "<group>"; };
		FED14FCCEFFF6DEE187B47AF /* WeakSet.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeakSet.swift; sourceTree = "<group>"; };
		FED4C93198EC989AFB18C04D /* Edges.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Edges.swift; sourceTree = "<group>"; };
		FEDEA3D2E3B24689EE2C2D07 /* View+Environment.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "View+Environment.swift"; sourceTree = "<group>"; };
		FEE8E2B18F627E26CA07D99A /* RunnerCoreTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RunnerCoreTests.swift; sourceTree = "<group>"; };
		FEEB3ECD861EEC2801B03652 /* State.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = State.swift; sourceTree = "<group>"; };
		FEEC8BA2E9A611FB242868D5 /* LayoutRootView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayoutRootView.swift; sourceTree = "<group>"; };
		FEF05B9E4558F03213B7E607 /* SwiftTUI */ = {
			isa = PBXGroup;
			children = (
				FE56C3242B58455553442D0C /* Controls */,
				FE235631F812A101E01AEAA5 /* Debug */,
				FEA154E5D35B7BAA846E52FB /* Drawing */,
				FEC2266FC2A8266E62E079AC /* PropertyWrappers */,
				FE65E264CB4E0B80A1AFFB0C /* RunLoop */,
				FE4D287FEC68A8A72B76FA83 /* ViewGraph */,
				FE50953DAFB8366A9E3C8D82 /* Views */,
				FE25780E4212F6D462FB9149 /* SwiftTUI.swift */,
			);
			path = SwiftTUI;
			sourceTree = "<group>";
		};
		FEF5075DC088803278713767 /* Background.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Background.swift; sourceTree = "<group>"; };
		FEF83A958022D95AB0510862 /* Group.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Group.swift; sourceTree = "<group>"; };
		FEFEB64A0F9ECD99B9D903B6 /* TextField.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TextField.swift; sourceTree = "<group>"; };
		FEFFB379E67528ADA003A9FF /* Spacer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Spacer.swift; sourceTree = "<group>"; };
		FF0000000000000000000006 /* Bazel External Repositories */ = {
			isa = PBXGroup;
			children = (
				FEA1CF9F8D2CA0B5F0D761B1 /* /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/cache/repos/v1/contents/232e8b46dfa0c534358dfb71034ddfd32c5c6d6afb7bb7c3476b660b0b7d70e2/677a2cff-5ccc-47a7-98e4-ddce6cf76076 */,
			);
			name = "Bazel External Repositories";
			path = ../../external;
			sourceTree = SOURCE_ROOT;
		};
		00FF1E5231001920CAE02B34 /* RunnerCore.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE11C25A4188C21B80521AF7 /* RunnerCore.swift */; };
		01FF0A9B8F2DD54D7DC622F9 /* RunnerCoreTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEE8E2B18F627E26CA07D99A /* RunnerCoreTests.swift */; };
		02FF02DFBDB02EF7CA6730AD /* log.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE06B75F1D71891F3D634B95 /* log.swift */; };
		02FF0428EFF8BC4844DFEEF5 /* Weak.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE9FB11AE896BAE161926281 /* Weak.swift */; };
		02FF0AA743B1E02D724F5F8C /* Axis.swift in Sources */ = {isa = PBXBuildFile; fileRef = FED12C36473686FE93CB971C /* Axis.swift */; };
		02FF0DE18E6C3150EE967582 /* View.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE97FC495C03EB6918A8AA5B /* View.swift */; };
		02FF0E0C217BCA513AA25E42 /* Bold.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE565F9C1E240AF078068CC4 /* Bold.swift */; };
		02FF15120A8D075045D0C31A /* Node+logTree.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE5C2DBA399E0612A054BE2E /* Node+logTree.swift */; };
		02FF159F585DA1FE891AC212 /* Italic.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE579D8399C4C1DCC8EED430 /* Italic.swift */; };
		02FF17E30E5E434F1A61B03E /* FixedFrame.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE3DF55F9C9C4BC3D6031FE4 /* FixedFrame.swift */; };
		02FF187F7C193AE2DC5C0569 /* Strikethrough.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE0833F786CD2A2EF231EBE5 /* Strikethrough.swift */; };
		02FF1BC72723E836422B53B6 /* SwiftTUI.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE25780E4212F6D462FB9149 /* SwiftTUI.swift */; };
		02FF1F7CE9DEE5E71B7FD162 /* Border.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEB681E54A115EA32E615BFB /* Border.swift */; };
		02FF1F9002855C61CF31D72C /* ArrowKeyParser.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEA362915EE372841E810442 /* ArrowKeyParser.swift */; };
		02FF23D86E413506C6F7DB25 /* Text.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE669B47061526964E8012FF /* Text.swift */; };
		02FF24113C0B99C3349F0761 /* LayoutRootView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEEC8BA2E9A611FB242868D5 /* LayoutRootView.swift */; };
		02FF2570965BBE7BAABB7C8F /* FlexibleFrame.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE6CB92FA70E5A7EE190EB1E /* FlexibleFrame.swift */; };
		02FF28471707BD8316B43410 /* Color.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE9B6E8AD18CF510CC2C3174 /* Color.swift */; };
		02FF29699AA621079339AEA2 /* CellAttributes.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEB71BE6A8588DC0A820ED8E /* CellAttributes.swift */; };
		02FF2C946200B58812B667DF /* State.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEEB3ECD861EEC2801B03652 /* State.swift */; };
		02FF2E046DCFA53B787E8B14 /* ForegroundColor.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE94FB30E7CAB9941E04149F /* ForegroundColor.swift */; };
		02FF33C3B2D6D0317F653F20 /* View+State.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE28ED61A3E441791C892614 /* View+State.swift */; };
		02FF377E17D813E1DF17B011 /* Underline.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE3348E7805B88D20C67D624 /* Underline.swift */; };
		02FF38B4059491987FAEE965 /* Extended.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE981D88F74E1B0E237FF17A /* Extended.swift */; };
		02FF3907B1397417683BA7FC /* HStack.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE1D5FAB1C88913D40911281 /* HStack.swift */; };
		02FF3A4B43C80D488C7CE32B /* LayerDrawing.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE6C1FBF148386BCCB815946 /* LayerDrawing.swift */; };
		02FF3B45C9889ED370565846 /* ObservedObject.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE0256EB086C79D047D00FE0 /* ObservedObject.swift */; };
		02FF40BBB288C62260CA76C3 /* EscapeSequence.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE9FA50882B24965E3924A03 /* EscapeSequence.swift */; };
		02FF45B8E101B2B215011288 /* TextField.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEFEB64A0F9ECD99B9D903B6 /* TextField.swift */; };
		02FF4600097791854D5254C8 /* Padding.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE406681BF50D14C2B003EFA /* Padding.swift */; };
		02FF49436AF208504407BD30 /* ASCII.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE97AC026E7A91BD7F6FADDF /* ASCII.swift */; };
		02FF4A4ABC004B5FF5637D01 /* Environment.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEC35B1294C0C3A5487073C1 /* Environment.swift */; };
		02FF5528E4594080E339FE5E /* ZStack.swift in Sources */ = {isa = PBXBuildFile; fileRef = FECF34CCEB582E63F618344C /* ZStack.swift */; };
		02FF5E51E93E85114A81C2ED /* AttributeScopes+SwiftTUIAttributes.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE7E6DAF3716429D85DF1CB4 /* AttributeScopes+SwiftTUIAttributes.swift */; };
		02FF65FFCD86BF306BEC3471 /* Divider.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE8F75BC675A850D30B1DFF7 /* Divider.swift */; };
		02FF69CEE00F16C55B995EA3 /* Rect.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE7ADB44C83312F759326BC8 /* Rect.swift */; };
		02FF6E0FF588278BC1C0E96E /* ComposedView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE36B7FB4825960CFD1EE9A0 /* ComposedView.swift */; };
		02FF769EE4F24E03387EE327 /* Control+logTree.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE9EBAED75B41BFE5B66EF7B /* Control+logTree.swift */; };
		02FF76C198B892A242BACBA0 /* View+ObservableObject.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEA171F995F100B4E80C25E3 /* View+ObservableObject.swift */; };
		02FF79AAF9921EE12F892356 /* Layer.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE59CDA3C4C23D3DCD619C36 /* Layer.swift */; };
		02FF7EBE80C2D2F703193AE2 /* SetEnvironment.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE39E81DC7BE1BDBF278368B /* SetEnvironment.swift */; };
		02FF7FEDD08A068D8D066266 /* Button.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE56EC4E9A199BCE5A4F11A9 /* Button.swift */; };
		02FF814531DF6F008282E112 /* VStack.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE8A46FC66E9580571ECE3D7 /* VStack.swift */; };
		02FF8259DABBDE007D9CA96C /* ModifierView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE1D3E792C9AB2D0FEA7D0A2 /* ModifierView.swift */; };
		02FF86BDBAB1FB01FC69713C /* Background.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEF5075DC088803278713767 /* Background.swift */; };
		02FF89E95841426E895D81E5 /* Color+View.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE87BA54DCED0BC71F4DDCBC /* Color+View.swift */; };
		02FF8C1E18A733FD0EE6B012 /* Alignment.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE78B3B9FF062FE5A86D10CB /* Alignment.swift */; };
		02FF8FA09DB2BD499064AC64 /* _ConditionalView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE7CE4A8C0BEDBFEB07D7052 /* _ConditionalView.swift */; };
		02FF9443A13020538EDF8602 /* Cell.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE88BA287622CAA44EEFBB05 /* Cell.swift */; };
		02FFA88328D15EA01534CBB6 /* Node.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE955B7713691568C9113C22 /* Node.swift */; };
		02FFAC2EE02A2748301EB053 /* GeometryReader.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE04B709B3969540B2E9FBF6 /* GeometryReader.swift */; };
		02FFAE6A70F1E1714BD84C61 /* ForEach.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE645B3378625EF192815274 /* ForEach.swift */; };
		02FFB51099CAC91D5F78F022 /* ViewBuilder.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE0FE8D7E60C3D79B2E83B9C /* ViewBuilder.swift */; };
		02FFB7DC9A3293ECE8393A58 /* Binding.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE24A664919669AC0926796A /* Binding.swift */; };
		02FFB8584ED0017DB11DE731 /* TupleView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE6E5D2B3020404DBED9B8FA /* TupleView.swift */; };
		02FFB9C9BAB730C1E9019D6D /* PrimitiveView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FECDEC291E284E1243C69040 /* PrimitiveView.swift */; };
		02FFC6099114A3970F594B5A /* Group.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEF83A958022D95AB0510862 /* Group.swift */; };
		02FFC77584E23F3984779346 /* Edges.swift in Sources */ = {isa = PBXBuildFile; fileRef = FED4C93198EC989AFB18C04D /* Edges.swift */; };
		02FFC7BA845C5AB46EEDD9EC /* GenericView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEAF08A52EEFA7CD8D7ACB91 /* GenericView.swift */; };
		02FFC927145F56EA91D8C9F9 /* Window.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE335FCA49CCC6A3C60B53B5 /* Window.swift */; };
		02FFC950564A0A8E85DE76AA /* Control.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE2F2B1FD47D4F1B77B16984 /* Control.swift */; };
		02FFCEF1BD7F380C94FAADB0 /* Spacer.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEFFB379E67528ADA003A9FF /* Spacer.swift */; };
		02FFD84E8471C8E5126FC9E0 /* Optional+View.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE7B02AD81BAA59E17ABF025 /* Optional+View.swift */; };
		02FFDC2481C8A9ED7403DE2C /* Position.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE91AD15BF6BBB472852849F /* Position.swift */; };
		02FFDFD37AE54401B53A5ABB /* Size.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE866088E045EAB828EAE645 /* Size.swift */; };
		02FFE75BB68A3EF17D60E39C /* EmptyView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE7E35A8870F6ECDB585186F /* EmptyView.swift */; };
		02FFEE3805EB06CFC8FC03C7 /* View+Environment.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEDEA3D2E3B24689EE2C2D07 /* View+Environment.swift */; };
		02FFEE5BFF62FA2C9CE8512D /* WeakSet.swift in Sources */ = {isa = PBXBuildFile; fileRef = FED14FCCEFFF6DEE187B47AF /* WeakSet.swift */; };
		02FFF11402FCE9EA7A96512F /* Application.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE48F0B66A1921E14F62F077 /* Application.swift */; };
		02FFF2E0DDE16A7D1010746B /* Renderer.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEB6D73210F2E5F83E8C6A60 /* Renderer.swift */; };
		02FFF57F463FD5B6941F2333 /* ScrollView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE230A21685D7895A8803FF1 /* ScrollView.swift */; };
		02FFFD7F86C6332ACFE8E09A /* OnAppear.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE6BA5124AB5DCB7C1C69060 /* OnAppear.swift */; };
		03FF556AC73989CC680307A3 /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE359F43A055950CD2C4031A /* main.swift */; };
		FF0000000000000000000004 /* Products */ = {
			isa = PBXGroup;
			children = (
				00001E1FC9CF0000000000FF /* libRunnerCore.a */,
				02004EB553A70000000000FF /* libSwiftTUI.a */,
				010021D7AEE90000000000FF /* RunnerCoreTests.xctest */,
				0300FAB81B6F0000000000FF /* StadtRundlauf */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		FF0000000000000000000005 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
	};
	rootObject = FF0000000000000000000001 /* Project object */;
}
